### Signal

# Gtk EntryCompletion::match-selected

#### Declaration

    gboolean
    match_selected (
      GtkEntryCompletion* self,
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

Emitted when a match from the list is selected.

The default behaviour is to replace the contents of the entry with the contents of the text column in the row pointed to by `iter`.

Note that `model` is the model that was passed to `gtk_entry_completion_set_model()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModel` containing the matches.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` positioned at the selected match.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the signal has been handled.